# It's extremely hard to package jruby, so just including binaries here

%global _maven_metadata_dir /usr/share/maven-metadata

Name:		jruby
Version:	9.2.6.0
Release:	0.1%{?dist}
Summary:	JRuby
License:	BSDL
URL:		https://www.jruby.org/
SOURCE0:	https://repo1.maven.org/maven2/org/jruby/jruby/%{version}/jruby-%{version}.pom
SOURCE1:	https://repo1.maven.org/maven2/org/jruby/jruby/%{version}/jruby-%{version}.jar
SOURCE2:	https://repo1.maven.org/maven2/org/jruby/jruby-core/%{version}/jruby-core-%{version}.pom
SOURCE3:	https://repo1.maven.org/maven2/org/jruby/jruby-core/%{version}/jruby-core-%{version}.jar
SOURCE4:	https://repo1.maven.org/maven2/org/jruby/jruby-stdlib/%{version}/jruby-stdlib-%{version}.pom
SOURCE5:	https://repo1.maven.org/maven2/org/jruby/jruby-stdlib/%{version}/jruby-stdlib-%{version}.jar
SOURCE6:	jruby.xml
SOURCE7:	jruby-core.xml
SOURCE8:	jruby-stdlib.xml
SOURCE9:	https://github.com/jruby/jruby/blob/master/BSDL

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel

Provides:	mvn(org.jruby:jruby) = %{version}
Provides:	mvn(org.jruby:jruby:pom:) = %{version}
Provides:	mvn(org.jruby:jruby-core) = %{version}
Provides:	mvn(org.jruby:jruby-core:pom:) = %{version}
Provides:	mvn(org.jruby:jruby-stdlib) = %{version}
Provides:	mvn(org.jruby:jruby-stdlib:pom:) = %{version}

Requires:	(java-headless or java-11-headless)
Requires:	javapackages-filesystem
Requires:	mvn(com.github.jnr:jnr-netdb)
Requires:	mvn(com.github.jnr:jnr-enxio)
Requires:	mvn(com.github.jnr:jnr-unixsocket)
Requires:	mvn(com.github.jnr:jnr-posix)
Requires:	mvn(com.github.jnr:jnr-constants)
Requires:	mvn(com.github.jnr:jffi)
Requires:	mvn(com.headius:invokebinder)
Requires:	mvn(com.headius:options)
Requires:	mvn(com.headius:modulator)
Requires:	mvn(com.headius:backport9)
Requires:	mvn(com.jcraft:jzlib)
Requires:	mvn(com.martiansoftware:nailgun-server)
Requires:	mvn(joda-time:joda-time)
Requires:	mvn(junit:junit)
Requires:	mvn(org.jruby:dirgra)
Requires:	mvn(org.jruby.jcodings:jcodings)
Requires:	mvn(org.jruby.joni:joni)

%description
%{name} bundles all the bits of JRuby


%install
mkdir -p %{buildroot}%{_mavenpomdir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_mavenpomdir}/%{name}/jruby.pom
cp -p %{SOURCE2} %{buildroot}%{_mavenpomdir}/%{name}/jruby-core.pom
cp -p %{SOURCE3} %{buildroot}%{_mavenpomdir}/%{name}/jruby-stdlib.pom
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/jruby.jar
cp -p %{SOURCE3} %{buildroot}%{_javadir}/%{name}/jruby-core.jar
cp -p %{SOURCE5} %{buildroot}%{_javadir}/%{name}/jruby-stdlib.jar
mkdir -p %{buildroot}%{_maven_metadata_dir}
cp -p %{SOURCE6} %{buildroot}%{_maven_metadata_dir}/jruby.xml
cp -p %{SOURCE7} %{buildroot}%{_maven_metadata_dir}/jruby-core.xml
cp -p %{SOURCE8} %{buildroot}%{_maven_metadata_dir}/jruby-stdlib.xml

cp %{SOURCE9} LICENSE

%files
%license LICENSE
%{_mavenpomdir}/%{name}/jruby.pom
%{_mavenpomdir}/%{name}/jruby-core.pom
%{_mavenpomdir}/%{name}/jruby-stdlib.pom
%{_javadir}/%{name}/jruby.jar
%{_javadir}/%{name}/jruby-core.jar
%{_javadir}/%{name}/jruby-stdlib.jar
%{_maven_metadata_dir}/jruby.xml
%{_maven_metadata_dir}/jruby-core.xml
%{_maven_metadata_dir}/jruby-stdlib.xml


%changelog
* Thu Mar 17 2022 Martin Perina <mperina@redhat.com> - 9.2.6.0-0.1
- Initial RPM release
- Just bundled JARs due to high number of build dependencies

